function [t1,w1,w2,vt,Rt,FI_t] = fce_uprava_sig(m_t,m_t2,v_t,R_t,FIt,t_c,deltat,f_m,tcas);

if tcas==1
    t1=0:deltat:(tcas)*(1/f_m);
    w1= m_t(1:length(t1));
    w2= m_t2(1:length(t1));
    vt=v_t(1:length(t1));
    Rt=R_t(1:length(t1));
    FI_t=FIt(1:length(t1));
elseif tcas==2
    t1=0:deltat:(tcas)*(1/f_m)+(2*deltat);
    w1= m_t(1:length(t1));
    w2= m_t2(1:length(t1));
    vt=v_t(1:length(t1));
    Rt=R_t(1:length(t1));
    FI_t=FIt(1:length(t1));
elseif tcas==3
    t1=0:deltat:(tcas)*(1/f_m)+(2*deltat);
    w1=m_t(1:length(t1));
    w2= m_t2(1:length(t1));
    vt=v_t(1:length(t1));
    Rt=R_t(1:length(t1));
    FI_t=FIt(1:length(t1));
elseif tcas==4
    t1=0:deltat:(tcas)*(1/f_m);
    w1= m_t(1:length(t1));
    w2= m_t2(1:length(t1));
    vt=v_t(1:length(t1));
    Rt=R_t(1:length(t1));
    FI_t=FIt(1:length(t1));
else
    t1=t_c;
    w1= m_t;
    w2= m_t2;
    vt=v_t;
    Rt=R_t;
    FI_t=FIt;
end